-- -
-- #%L
-- %%
-- Copyright (C) 2005 - 2021 Kuali, Inc. - All Rights Reserved
-- %%
-- You may use and modify this code under the terms of the Kuali, Inc.
-- Pre-Release License Agreement. You may not distribute it.
--
-- You should have received a copy of the Kuali, Inc. Pre-Release License
-- Agreement with this file. If not, please write to license@kuali.co.
-- #L%
-- -

create index IACUC_PROTOCOL_ONLN_RVWS_IDX1 on
  IACUC_PROTOCOL_ONLN_RVWS(PROTOCOL_REVIEWER_FK);

create index IACUC_PROTOCOL_ONLN_RVWS_IDX2 on
  IACUC_PROTOCOL_ONLN_RVWS(REVIEW_DETERM_RECOM_CD);

create index IACUC_PROTOCOL_ONLN_RVWS_IDX3 on
  IACUC_PROTOCOL_ONLN_RVWS(PROTOCOL_ONLN_RVW_STATUS_CODE);

create index IACUC_PROTOCOL_ONLN_RVWS_IDX4 on
  IACUC_PROTOCOL_ONLN_RVWS(SUBMISSION_ID_FK);

create index IACUC_PROTOCOL_ONLN_RVWS_IDX5 on
  IACUC_PROTOCOL_ONLN_RVWS(DOCUMENT_NUMBER);

create index IACUC_PROTOCOL_ONLN_RVWS_IDX6 on
  IACUC_PROTOCOL_ONLN_RVWS(PROTOCOL_ID);

ALTER TABLE IACUC_PROTOCOL_ONLN_RVWS
ADD CONSTRAINT FK2_IACUC_PROTOCOL_ONLN_RVWS FOREIGN KEY (PROTOCOL_REVIEWER_FK)
REFERENCES IACUC_PROTOCOL_REVIEWERS (PROTOCOL_REVIEWER_ID);

ALTER TABLE IACUC_PROTOCOL_ONLN_RVWS
ADD CONSTRAINT FK5_IACUC_PROTOCOL_ONLN_RVWS FOREIGN KEY (REVIEW_DETERM_RECOM_CD)
REFERENCES iacuc_proto_olr_dt_rec_type (REVIEW_DETERM_RECOM_CD);

ALTER TABLE IACUC_PROTOCOL_ONLN_RVWS
ADD CONSTRAINT FK1_IACUC_PROTOCOL_ONLN_RVWS FOREIGN KEY (PROTOCOL_ONLN_RVW_STATUS_CODE)
REFERENCES iacuc_protocol_olr_status (STATUS_CODE);

ALTER TABLE IACUC_PROTOCOL_ONLN_RVWS
ADD CONSTRAINT FK3_IACUC_PROTOCOL_ONLN_RVWS FOREIGN KEY (SUBMISSION_ID_FK)
REFERENCES IACUC_PROTOCOL_SUBMISSION (IACUC_PROTOCOL_SUBMISSION_ID);

ALTER TABLE IACUC_PROTOCOL_ONLN_RVWS
ADD CONSTRAINT FK4_IACUC_PROTOCOL_ONLN_RVWS FOREIGN KEY (PROTOCOL_ID)
REFERENCES IACUC_PROTOCOL (PROTOCOL_ID);

create index PROTOCOL_ONLN_RVWS_IDX6 on
  PROTOCOL_ONLN_RVWS(PROTOCOL_ID);
